CVC4::CommandPrintSuccess Class Reference

IOStream manipulator to print success messages or not. More...

`#include <command.h>`

## Data Structures

class | Scope
| Set the print-success state on the output stream for the current stack scope. More...

## Public Member Functions

| CommandPrintSuccess (bool printSuccess) throw ()
| Construct a CommandPrintSuccess with the given setting.
void | applyPrintSuccess (std::ostream &out) throw ()

## Static Public Member Functions

static bool | getPrintSuccess (std::ostream &out) throw ()
static void | setPrintSuccess (std::ostream &out, bool printSuccess) throw ()

## Detailed Description

IOStream manipulator to print success messages or not.

out << Command::printsuccess(false) << CommandSuccess();

prints nothing, but

out << Command::printsuccess(true) << CommandSuccess();

prints a success message (in a manner appropriate for the current output language).

Definition at line 76 of file command.h.

## Constructor & Destructor Documentation

## CommandPrintSuccess()

CVC4::CommandPrintSuccess::CommandPrintSuccess | ( | bool | printSuccess | ) |
throw | ( | ) |  |  |

inline

Construct a CommandPrintSuccess with the given setting.

Definition at line 97 of file command.h.

## Member Function Documentation

## applyPrintSuccess()

void CVC4::CommandPrintSuccess::applyPrintSuccess | ( | std::ostream & | out | ) |
throw | ( | ) |  |  |

inline

Definition at line 99 of file command.h.

## getPrintSuccess()

static bool CVC4::CommandPrintSuccess::getPrintSuccess | ( | std::ostream & | out | ) |
throw | ( | ) |  |  |

inlinestatic

Definition at line 103 of file command.h.

## setPrintSuccess()

static void CVC4::CommandPrintSuccess::setPrintSuccess | ( | std::ostream & | out,
|  | bool | printSuccess )
throw | ( | ) |  |  |

inlinestatic

Definition at line 107 of file command.h.

The documentation for this class was generated from the following file:

- src/expr/command.h